EDIT - feature request #3990

[DISCUSS] How to implement citation suggestion to each taxon
01/23/2014 06:13 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 100%
Category: cdmadapter Estimated time: 0:30 hour
Target version: Euro+Med Migration

Severity: critical

Description

... and implement data part.

In the original EuroPlusMed portal on each taxon page a citation string labeled Source is offered as a suggestion of how to cite this
taxon on top of the page:

http://ww2.bgbm.org/EuroPlusMed/PTaxonDetail.asp?NameCache=Calendula%20arvensis&PTRefFk=7000000

this is also needed for the CDM based Portal.
The reference on which this suggestion is based is defined for a family or genus and then accounts for all subordinate taxa.
e Can we store these references in the taxon nodes references for this?
e How to propagte this information to the lower taxa? Will be always walk from the taxon up the classification tree in order to find
the first taxonNode.reference?
see also #3992 and #5882

dataportal: #7438

Related issues:

Related to EDIT - bug #3992: [CHECK] Use last scrutiny instead of sec reference Resolved
Related to EDIT - feature request #5882: option (as new default) to show full... New
Related to EDIT - task #7713: Atomize last scrutiny references In Progress
Related to EDIT - feature request #7438: implement citation suggestion in dat... Closed

Associated revisions

Revision e1d0f581 - 09/03/2018 10:42 AM - Andreas Miiller
ref #3992, ref #7713, ref #3990 Atomize last scrutiny references

Revision d0c77267 - 09/03/2018 10:43 AM - Andreas Miiller
ref #3992, ref #7713, ref #3990 add test for differing synonym relation references

History

#1 - 01/24/2014 10:37 AM - Andreas Miiller
Hi Eckhard,

can you please let us know where this information is exactly stored in the Berlin Model for the family / genus . Screenshot is enough.

#2 - 01/24/2014 10:38 AM - Andreas Mdiller

Maybe the source field can be filled by the sec reference information of each taxon.

#3 - 01/24/2014 11:02 AM - Andreas Miiller
Hi Eckhard,

richtig, im Berlin Model / E+M Version wird das wie ich finde ein bischen seltsam und redundant gehandelt. Insbesondere habe ich ja immer
https://dev.e-taxonomy.eu/redmine/issues/7438

Probleme mit dem Feld LastScrutiny, da mir der Bedeutungsunterschied zur sec Referenz nicht klar ist.

Ich verstehe, dass das im Berlin Model so gemacht wurde, da dort die sec Referenz ja letzlich mehr zum Rechtemanagement benutzt wurde als eine
wirklich Autorenschaft des Taxons zu begriinden. Aber ich denke das ist nicht wirklich die Bedeutung der sec Referenz. M.E. ist die sec Referenz gut
dafir geeignet, die hier gewiinschte Information wiederzuspiegeln.

Rechtemanagement erfolgt im CDM ja dann komplett separat und Personen und Rollenbezogen.

Viele Grif3e,

Andreas M.

Von: Raab-Straube von , Eckhard

Gesendet: Freitag, 24. Januar 2014 10:53

An: trac, wp5; Kohlbecker, Andreas; Muller, Andreas

Cc: Guentsch, Anton; Roepert, Dominik

Betreff: AW: [EDIT] #3990: Add citation suggestion to each taxon
Dear All,

Hmmm... Sec reference and authorship can be different from each other in the Berlin Model Database, but | am not sure if this is really wanted or if it
is just a kind of work-around.

The screenshot below shows the authorship of Domina & Raab-Straube, but the sec-reference is still "7500000 (jury)". We did not change the
sec-reference every time we had new authors for a taxonomic subset of all taxa which belong to a sec reference. Maybe we should do that? Then we
would have many more references than we have now, but it may be the cleaner solution.

| cannot enter this information (which we also called "last scrutiny") in the Berlin Model Editor, but it is stored in a table to be filled by people with

direct access to the database (@Dominik, @Anton, can you tell Andreas please where exactly this information"last scrutiny” — which is published on
the wbesite as "Source" — is stored?)

#4 - 01/24/2014 11:24 AM - Andreas Miiller
NOTE:

Maybe the current imports do not yet reflect the above described situation correctly and do still fill the Taxon.sec field with current PTRefFK
information. | opened a new ticket for this: #3992

#5 - 01/24/2014 11:25 AM - Andreas Miiller
Anton:
Hallo,

Ich erinnere mich, dass es einen wichtigen Grund gab, warum wir sec. Referenz und last scrutiny getrennt behandeln. Leider fallt mir dieser aber
nicht mehr ein. Es misste aber E-Mail Korrespondenz (zum Beispiel zwischen Walter und Eckhard) dazu geben.

Viele GriiBe

Anton

#6 - 08/18/2014 12:15 PM - Andreas Kohlbecker

- Keywords set to Euro+Med,Migration

#7 - 06/22/2016 09:20 AM - Andreas Miiller
- Target version changed from Euro+Med Migration to Euro+Med Portal Release

- Priority changed from New to Highest

#8 - 06/22/2016 09:58 AM - Andreas Kohlbecker

- Assignee changed from Andreas Kohlbecker to Andreas Miiller

first of all the question of how to model the citation into the db must be solved

#9 - 05/09/2018 05:30 PM - Andreas Miiller

- Description updated
- Estimated time set to 8:00 h

#10 - 05/09/2018 05:31 PM - Andreas Miiller
- Related to bug #3992: [CHECK] Use last scrutiny instead of sec reference added

#11 - 05/09/2018 05:31 PM - Andreas Miiller

- Related to feature request #5882: option (as new default) to show full citation of accepted name below taxon page title added

#13 - 05/25/2018 12:01 PM - Andreas Miiller

- Subject changed from Add citation suggestion to each taxon to [DISCUSS] How to implement citation suggestion to each taxon
- Description updated

- Category changed from cdm-dataportal to cdmadapter

- Estimated time changed from 8:00 h to 4:00 h

#14 - 05/25/2018 12:03 PM - Andreas Miiller

- Blocks feature request #7438: implement citation suggestion in dataportal added

#15 - 05/25/2018 12:05 PM - Andreas Miiller
- Description updated

#16 - 08/31/2018 11:24 PM - Andreas Miiller

- Related to task #7713: Atomize last scrutiny references added

#17 - 09/03/2018 02:24 PM - Andreas Miiller
- Assignee changed from Andreas Miiller to Andreas Kohlbecker

- Target version changed from Euro+Med Portal Release to Release 5.3

The former citations suggestions (deriving from the last scrutiny references, PTaxon.lastScrutinyFk) are now imported as TaxonBase.sec References.
Therefore we should take the title Cache of these References as source/citation suggestion.

=> we need the functionality to explicitly cite the accepted taxon secundum references in a separate line with label "Source". This needs to be
configurable via data portal admin tools.

#18 - 09/06/2018 09:25 AM - Andreas Miiller

- Private changed from Yes to No

#19 - 09/06/2018 11:16 AM - Andreas Kohlbecker

- Target version changed from Release 5.3 to Release 5.4

#20 - 09/06/2018 11:56 AM - Andreas Miiller

- Severity changed from normal to critical

This is critical for version 5.4 as needed for E+M

#21 - 10/08/2018 08:23 AM - Andreas Kohlbecker
- Status changed from New to Feedback

- Assignee changed from Andreas Kohlbecker to Andreas Miiller

Do you want me to do something about this issue? | think my task was the according implementation in the data-portal.

#22 - 10/08/2018 11:36 AM - Andreas Miiller

Andreas Kohlbecker wrote:

Do you want me to do something about this issue? | think my task was the according implementation in the data-portal.

Correct, your part is described in #7438 .
#23 - 10/17/2018 02:49 PM - Andreas Miiller
- Status changed from Feedback to Resolved
- Target version changed from Release 5.4 to Euro+Med Migration

- % Done changed from 0 to 80

#24 - 10/17/2018 02:50 PM - Andreas Miiller

- Status changed from Resolved to In Progress

#25 - 05/12/2019 10:43 AM - Andreas Miiller
- Status changed from In Progress to Resolved

- % Done changed from 80 to 90

The discussion is finished. We may check after migration if everything looks like expected and what still needs to be done.

#26 - 05/12/2019 10:43 AM - Andreas Miiller
- Estimated time changed from 4:00 h to 0:30 h

#27 - 06/05/2019 03:01 PM - Andreas Miiller

- Blocks deleted (feature request #7438: implement citation suggestion in dataportal)

#28 - 06/05/2019 03:01 PM - Andreas Miiller

- Precedes feature request #7438: implement citation suggestion in dataportal added

#29 - 06/05/2019 03:01 PM - Andreas Miiller

- Precedes deleted (feature request #7438: implement citation suggestion in dataportal)

#30 - 06/05/2019 03:02 PM - Andreas Miiller

- Related to feature request #7438: implement citation suggestion in dataportal added

#31 - 09/17/2021 03:37 PM - Andreas Miiller
- Status changed from Resolved to Closed

- % Done changed from 90 to 100

| think we can close this ticket as the source information is implemented as described via sec reference (former last scrutiny in Berlin Model).
If there are any open issues on citation suggestion please open a new ticket.
